## ocamlify 0.0.1

=== Makefile ===
################################################################################
#  ocamlify: include files in OCaml code                                       #
#                                                                              #
#  Copyright (C) 2009-2010, OCamlCore SARL                                     #
#                                                                              #
#  This library is free software; you can redistribute it and/or modify it     #
#  under the terms of the GNU Lesser General Public License as published by    #
#  the Free Software Foundation; either version 2.1 of the License, or (at     #
#  your option) any later version, with the OCaml static compilation           #
#  exception.                                                                  #
#                                                                              #
#  This library is distributed in the hope that it will be useful, but         #
#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  #
#  or FITNESS FOR A PARTICULAR PURPOSE. See the file COPYING for more          #
#  details.                                                                    #
#                                                                              #
#  You should have received a copy of the GNU Lesser General Public License    #
#  along with this library; if not, write to the Free Software Foundation,     #
#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA               #
################################################################################

# OASIS_START
# DO NOT EDIT (digest: c670bbc06ab2e6f432b790475d6ad412)

SETUP = ocaml setup.ml

build: setup.data
	$(SETUP) -build $(BUILDFLAGS)

doc: setup.data build
	$(SETUP) -doc $(DOCFLAGS)

test: setup.data build
	$(SETUP) -test $(TESTFLAGS)

install: setup.data
	$(SETUP) -install $(INSTALLFLAGS)

uninstall: setup.data
	$(SETUP) -uninstall $(UNINSTALLFLAGS)

clean: 
	$(SETUP) -clean $(CLEANFLAGS)

distclean: 
	$(SETUP) -distclean $(DISTCLEANFLAGS)

setup.data:
	$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: build doc test install uninstall clean distclean configure

# OASIS_STOP

headache:
	find ./ -name _darcs -prune -false -o -name _build -prune \
	  -false -o -type f \
	  | xargs headache -h _header -c _headache.config

dist: setup.data
	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
	  echo E: Uncommited changes >&2 ; exit 1; \
	fi
	$(MAKE) test
	$(MAKE) dist-step2

-include setup.data
dist-step2:
	darcs dist --dist-name $(pkg_name)-$(pkg_version)
	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
	  darcs tag "$(pkg_version)"; \
	else \
	  echo W: Version $(pkg_version) already tagged >&2; \
	fi 
	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"

=== debian/changelog ===
ocamlify (0.0.1-3) unstable; urgency=low

  * Team upload
  * Recompile with OCaml 3.12.1 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Nov 2011 07:23:22 +0100

ocamlify (0.0.1-2) unstable; urgency=low

  * Team upload
  * Rebuild with OCaml 3.12.0 (no changes)
  * debian/control: add Homepage field
  * Add debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Sun, 17 Apr 2011 21:00:49 +0200

ocamlify (0.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #602913)

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 17 Nov 2010 22:09:41 +0100

=== debian/control ===
Source: ocamlify
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Sylvain Le Gall <gildor@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 3.11.1-3~),
 dh-ocaml (>= 0.9.0~),
 ocaml-findlib
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocamlify.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocamlify.git
Homepage: http://ocamlify.forge.ocamlcore.org/

Package: ocamlify
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: include files in OCaml code
 This program allows to copy files inside OCaml code. It uses a first file that
 describes the other files that must be included and the type of OCaml variable
 it should create. It can also describe dependencies to other files, in order
 to generate .depends files for make.

## ocamlify 0.0.2

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 ################################################################################
 
 # OASIS_START
-# DO NOT EDIT (digest: c670bbc06ab2e6f432b790475d6ad412)
+# DO NOT EDIT (digest: bc1e05bfc8b39b664f29dae8dbd3ebbb)
 
 SETUP = ocaml setup.ml
 
@@ -33,11 +33,17 @@
 test: setup.data build
 	$(SETUP) -test $(TESTFLAGS)
 
+all: 
+	$(SETUP) -all $(ALLFLAGS)
+
 install: setup.data
 	$(SETUP) -install $(INSTALLFLAGS)
 
 uninstall: setup.data
 	$(SETUP) -uninstall $(UNINSTALLFLAGS)
+
+reinstall: setup.data
+	$(SETUP) -reinstall $(REINSTALLFLAGS)
 
 clean: 
 	$(SETUP) -clean $(CLEANFLAGS)
@@ -48,7 +54,7 @@
 setup.data:
 	$(SETUP) -configure $(CONFIGUREFLAGS)
 
-.PHONY: build doc test install uninstall clean distclean configure
+.PHONY: build doc test all install uninstall reinstall clean distclean configure
 
 # OASIS_STOP
 
@@ -57,20 +63,11 @@
 	  -false -o -type f \
 	  | xargs headache -h _header -c _headache.config
 
-dist: setup.data
-	if ! [ "$$(darcs diff | wc -l)" = 0 ]; then \
-	  echo E: Uncommited changes >&2 ; exit 1; \
-	fi
-	$(MAKE) test
-	$(MAKE) dist-step2
+.PHONY: headache
 
--include setup.data
-dist-step2:
-	darcs dist --dist-name $(pkg_name)-$(pkg_version)
-	if ! (darcs query tag | grep "$(pkg_version)" > /dev/null); then \
-	  darcs tag "$(pkg_version)"; \
-	else \
-	  echo W: Version $(pkg_version) already tagged >&2; \
-	fi 
-	gpg -s -a -b "$(pkg_name)-$(pkg_version).tar.gz"
+deploy:
+	admin-gallu-deploy --verbose \
+		--forge_upload --forge_group ocamlify --forge_user gildor-admin
 
+.PHONY: deploy
+

=== debian/changelog ===
ocamlify (0.0.2-3build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Tue, 03 Nov 2015 14:57:10 -0600

ocamlify (0.0.2-3) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

  [ Mehdi Dogguy ]
  * Rebuild with OCaml 4.02.3

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 10 Oct 2015 19:15:21 +0200

ocamlify (0.0.2-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 08:22:29 +0100

ocamlify (0.0.2-1) experimental; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Compile with OCaml >= 4
  * Update Vcs-*

  [ Sylvain Le Gall ]
  * New upstream version.

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 21:34:36 +0200

=== debian/control ===
Source: ocamlify
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 ocaml-nox (>= 4),
 dh-ocaml (>= 0.9.0~),
 ocaml-findlib
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ocamlify.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ocamlify.git
Homepage: http://ocamlify.forge.ocamlcore.org/

Package: ocamlify
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: include files in OCaml code
 This program allows one to copy files inside OCaml code. It uses a first file
 that describes the other files that must be included and the type of OCaml
 variable it should create. It can also describe dependencies to other files,
 in order to generate .depends files for make.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ocamlify

include /usr/share/ocaml/ocamlvars.mk

%:
	dh --with ocaml $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)'

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(DESTDIR)/usr/bin'
	ocaml setup.ml -install 

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

debian/ocamlify.1: debian/ocamlify.mkd
	pandoc -s -w man $^ -o $@

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=53 .*/ocamlify-(.*)\.tar\.gz
# Upstream darcs repository:
#   http://forge.ocamlcore.org/scm/browser.php?group_id=53&repo_name=ocamlify
